(* Mit diesem Programm knnen Texte nach dem Offsetverfahren verschlsselt werden. 
 * Ein solcher Code ist zwar leicht zu knacken, aber er reicht fr den Hausgebrauch. 
 * Das Verfahren beruht auf einer Verschiebung des Alphabets. Ein Offset von 2 bedeutet 
 * zum Beispiel die Verschiebung um zwei Buchstaben, so da fr "A" der Buchstabe "C" 
 * eingesetzt wird, fr "B" der Buchstabe "E", u.s.w. Mit einem negativen Offset 
 * (als Beispiel -2) kann ein verschlsselter Text wieder entschlsselt werden. 
 *
 * Der zu ent-/verschlsselnde Text wird vorher mit einem Texteditor in eine Textdatei 
 * geschrieben. Das Programm benutzt die Datei "NEWS.TXT" als Quelle und die Datei 
 * "RESULT.TXT" als Ergebnis. Zustzlich wird die Nachricht noch auf dem Bildschirm 
 * ausgegeben. Als maximale Zeilenlnge wird 80 vorgegeben. 
 *)

PROGRAM caesar;

  CONST maxlen = 80; 

  VAR infile,                   (* Quelldatei *) 
      outfile : text;           (* Zieldatei *) 
      line,                     (* Originalzeile *) 
      newline : STRING [80];    (* Codierte Zeile *) 
      a,                        (* Code des Zeichens *) 
      index,                    (* Arbeitsindex *) 
      offset : integer;         (* Offset des Codes *) 
      c : char;                 (* codiertes Zeichen *) 

BEGIN 
  write ('Welchen offset ? '); 
  readln (offset); 
  assign (infile, 'NEWS.TXT'); 
  reset (infile); 
  assign (outfile,'RESULT.TXT '); 
  rewrite (outfile); 
  WHILE NOT eof (infile) DO 
  BEGIN 
    readln (infile,line); 
    newline := ''; 
    FOR index := 1 TO length (line) DO 
    BEGIN 
      a := ord (line[index]); 
      a := a + offset; 
      c := chr (a); 
      newline := newline + c; 
    END; 
    writeln (outfile,newline); 
    writeln (newline); 
  END; 
  close (outfile); 
  close (infile); 
END. 
